Subject: bug#34655: 26.1.92; Segfault in module with --module-assertions

From: "Basil L. Contovounesios" <[email-masked]>
Date: Tue, 26 Feb 2019 18:42:29 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: "Basil L. Contovounesios" <[email-masked]>
>> Date: Tue, 26 Feb 2019 11:16:56 +0000
>> Cc: [email-masked]
>> 
>> The reason I submitted this bug report is because I don't know whether
>> the switch --module-assertions has unveiled an issue in my module or
>> Emacs' module implementation.
>
> So without using --module-assertions the crash doesn't happen, is that
> what you are saying?

Yes.  I can't guarantee the crash doesn't happen without
--module-assertions of course, but in my tests it only seems to crop up
with the switch (and reliably so).

-- 
Basil